Mono.Posix [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType System.Obsolete("Use Mono.Unix.Native.Stat") Every file has a unique INODE data structure. Mono's managed representation is the Stat struct. the Syscall.stat and Syscall.lstat methods return the Stat struct as an output parameter.

See 'man stat(2)' for more information. Not all filesystems implement all of the time fields and certain mount types can affect the ATime value as well. See 'man mount(8)' for more information.

This type is obsolete. Please use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_atime")
  System.DateTime Last access time.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_blocks")
  System.Int64 Blocks gives the size of the file in 512-byte blocks. This may be smaller than Size/512 e.g. when the file has holes.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_blksize")
  System.Int64 Contains the preferred block size for efficient file system I/O.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_ctime")
  System.DateTime Creation time.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_dev")
  System.Int32 A device number on which the file resides. To be added
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_rdev")
  System.Int64 For a character or block device, the device major and minor numbers.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_gid")
  System.Int32 Group ID
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_ino")
  System.Int32 The inode number of file on disk.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_mode")
  Mono.Posix.StatMode The file mode as defined by the StatMode enumeration. To be added
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_mtime")
  System.DateTime File last modified.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_nlink")
  System.Int32 The number of pathnames or links that reference this inode.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_size")
  System.Int64 Size gives the size of the file in bytes. If the file is a symlink then this is the length of the pathname it contains without trailing null.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.Stat.st_uid")
  System.Int32 The owner user ID
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.NativeConvert.LocalUnixEpoch")
  System.DateTime 1/1/1970 12:00:00 AM DateTime value corresponding to Unix Epoch (1/1/1970) Read-only.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Mono.Unix.Native.NativeConvert.ToDateTime")
  System.DateTime `` a Convert unix epoch time value to a